View RSS Feed

Tall an' handsome

MOD NEWS - Recent MAC problems with M2TW

Rate this Entry
An OS related update for the MAC version of M2TW makes it impossible to play the game without updating the OS to 10.14

There is now a workaround for those that do no wish to upgrade their OS:

Quote Originally Posted by Feral on Steam
Players using a version of OS X before 10.14 can access a compatible version of the game via the Beta tab in the game’s properties window. Select the ‘mac_linux_gl-1.0.3' branch for a version that is compatible with 10.10.5 up to 10.13.6.

1. Launch Steam.
2. Right click the game in your Steam Library.
3. In the dropdown that appears, select Properties.
4. In the new window that appears, select the Betas tab.
5. In the Betas tab, click the dropdown and select ‘mac_linux_gl-1.0.3'
6. The game will update.
Categories
Modding News

Comments